package edu.hsog.db;

import javax.swing.*;
import java.awt.*;

public class Main {
    public static void main(String[] args) throws UnsupportedLookAndFeelException, ClassNotFoundException, InstantiationException, IllegalAccessException {
        System.out.println("Hello world!");
        UIManager.setLookAndFeel("javax.swing.plaf.nimbus.NimbusLookAndFeel");
        JFrame frame = generateJFrame();
        frame.setVisible(true);
        Globals.initConnectionPool();  //Für Ausprobieren
    }

    public static JFrame generateJFrame() {
        GUI gui = new GUI();
        JFrame frame = new JFrame();
        frame.setContentPane(gui.getMasterPanel());
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setSize(800, 600);
        gui.getMasterPanel().setPreferredSize(new Dimension(800, 600));
        return frame;
    }
}